登录  免费注册
当前位置:首页 > 漏洞详细信息

Jenkins Script Security插件任意代码执行漏洞

 关注(0)  
CNVD-ID CNVD-2020-57046
公开日期 2020-10-16
危害级别 中 (AV:N/AC:L/Au:S/C:P/I:P/A:P)
影响产品 CloudBees Jenkins Script Security <=1.74
CVE ID CVE-2020-2279
漏洞描述 CloudBees Jenkins(Hudson Labs)是美国CloudBees公司的一套基于Java开发的持续集成工具。该产品主要用于监控持续的软件版本发布/测试项目和一些定时执行的任务。Script Security Plugin是使用在其中的一个脚本安全插件。

Jenkins Script Security 插件1.74版本及之前版本存在任意代码执行漏洞,该漏洞源于允许攻击者定义沙箱脚本,以提供精心设计的返回值或脚本绑定内容,攻击者可利用该漏洞在Jenkins控制器JVM上执行任意代码。
漏洞类型 通用型漏洞
参考链接 https://nvd.nist.gov/vuln/detail/CVE-2020-2279
漏洞解决方案 目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://www.jenkins.io/security/advisory/2020-09-23/#SECURITY-1958
厂商补丁 Jenkins Script Security插件任意代码执行漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2020-09-25
收录时间 2020-10-16
更新时间 2020-10-16
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论